﻿Type=Class
Version=2
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	
#Region Panes
	Private mpanMain As Pane
	Private mlblTitle As Label
	Private mlsvFields As ListView
#End Region

	Private mMyName As String
	Private mLeft, mTop As Int

	Private mTableClass As clsTable
	Private mSelItem As Object
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Parent As Pane, TableClass As clsTable, Left As Int, Top As Int) As Boolean
	Dim Res As Boolean = True
	
	mTableClass = TableClass
	mLeft = Left
	mTop = Top
	
	mMyName = mTableClass.TableName
	
	BuildLayout(Parent, Left, Top)
	mlblTitle.Text = mMyName
	
	LoadFieldsListView

	Return Res
End Sub

#Region Node events
	' in continuazione durante il trascinamento
	Private Sub Fields_MouseDragged (EventData As MouseEvent)
		Log("Fields_MouseDragged")
	End Sub
	
	Sub Fields_MouseMoved (EventData As MouseEvent)
		Log("Fields_MouseMoved ")
	End Sub

	Private Sub Fields_SelectedIndexChanged(Index As Int)
		Log("Fields_SelectedIndexChanged")
		mSelItem = mlsvFields.Items.get(Index)
	End Sub
	
	Private Sub Fields_MouseReleased (EventData As MouseEvent)
'		Log("main.ancQueryBuilder.Left = " & Main.ancQueryBuilder.Left)
'		Log("X = " & EventData.X)
'		Log("Y = " & EventData.Y)
	End Sub
#End Region


#Region "Public Properties"

Public Sub getName As String
	Return mMyName
End Sub

#Region --- Left
Public Sub getLeft As Int
	Return mLeft
End Sub
Public Sub setLeft(Left As Int)
	mLeft = Left
End Sub
#End Region

#Region --- Top
Public Sub getTop As Int
	Return mTop
End Sub
Public Sub setTop(Top As Int)
	mTop = Top
End Sub
#End Region

#End Region


#Region Public methods

#End Region


#Region Private methods

#Region --- Design methods

Private Sub BuildLayout(Parent As Pane, Left As Int, Top As Int)
	mpanMain.Initialize("MainPanel")
	mpanMain.Style = "-fx-background-color:blue"

	mlblTitle.Initialize("Title")
	mlblTitle.Style = "-fx-background-color:blue"
	mlblTitle.Style = "-fx-font-size:18;-fx-font-weight:bold"
	mlblTitle.TextColor = fx.Colors.White

	mlsvFields.Initialize("Fields")

	mpanMain.AddNode(mlblTitle, 2, 2, 150, 40)
	mpanMain.AddNode(mlsvFields, 2, 42, 150, 158)
	
	Parent.AddNode(mpanMain, Left, Top, 154, 202)
End Sub

#End Region

Private Sub LoadFieldsListView
	For Each Fi As typFieldInfo In mTableClass.GetFieldsInfo
		mlsvFields.Items.Add(Fi.FieldName)
	Next
End Sub

#End Region

